/*
 * Program:	Operating-system dependent routines -- System V R3 version
 *
 *  WARNING - this file is yet incomplete and untested!
 *
 * Author:	Mark Crispin
 *		Networks and Distributed Computing
 *		Computing & Communications
 *		University of Washington
 *		Administration Building, AG-44
 *		Seattle, WA  98195
 *		Internet: MRC@CAC.Washington.EDU
 *
 * Date:	11 May 1989
 * Last Edited:	15 December 1991
 *
 * Copyright 1991 by the University of Washington
 *
 *  Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appears in all copies and that both the
 * above copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the University of Washington not be
 * used in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  This software is made
 * available "as is", and
 * THE UNIVERSITY OF WASHINGTON DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN
 * NO EVENT SHALL THE UNIVERSITY OF WASHINGTON BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT
 *(INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */


#define MAILFILE "/usr/mail/%s"
#define ACTIVEFILE "/usr/lib/news/active"
#define NEWSSPOOL "/usr/spool/news"
#define NEWSRC strcat (strcpy (tmp,getpwuid (geteuid ())->pw_dir),"/.newsrc")

#include <strings.h>


#define	const

#include <stdlib.h>
#include <dirent.h>
#include <sys/fcntl.h>
#include <sys/unistd.h>
#include <sys/time.h>
#include <time.h>


extern void	free();
extern int	errno;
extern long	strtol();


#define L_SET SEEK_SET
#define L_INCR SEEK_CUR
#define L_XTND SEEK_END

#define direct dirent


/* For flock() emulation */

#define LOCK_SH 1
#define LOCK_EX 2
#define LOCK_NB 4
#define LOCK_UN 8


/* For gettimeofday() emulation */

struct timezone {
  int tz_minuteswest;		/* of Greenwich */
  int tz_dsttime;		/* type of dst correction to apply */
};



/* Dummy definition overridden by TCP routines */

#ifndef	TCPSTREAM
#define	TCPSTREAM void
#endif


/* Function prototypes */

void	rfc822_date();
void	*fs_get();
void	fs_resize();
void	fs_give();
void	fatal();
char	*strcrlfcpy();
unsigned long	strcrlflen();
int	server_login();
TCPSTREAM *tcp_open();
TCPSTREAM *tcp_aopen();
char	*tcp_getline();
int	tcp_getbuffer();
int	tcp_soutr();
void	tcp_close();
char	*tcp_host();
char	*tcp_localhost();

long gethostid ();
long random ();
void *memmove ();
char *re_comp ();
long re_exec ();
int scandir ();
int flock ();
int gettimeofday ();
int utimes ();

/* for lseek() */

#define	L_SET		SEEK_SET


